Subject: Re: [PATCH net-next 13/14] wireless: Use eth_<foo>_addr instead of memset

From: Joe Perches <[email-masked]>
Date: Tue, 03 Mar 2015 11:03:17 -0800

On Tue, 2015-03-03 at 13:57 -0500, David Miller wrote:
> From: Johannes Berg <[email-masked]>
> Date: Tue, 03 Mar 2015 09:16:57 +0100
> 
> > Other than that, I guess I'll apply this, but I really wish there was a
> > way to distinguish more easily which of these require alignment and
> > which don't.
> 
> You can't apply "this" without the dependency patch #1.
> 
> Therefore this should probably all go through my tree.

Hey David.

The eth_<foo>_addr functions already exist so
1/14 isn't a dependency.

It's just a trivial improvement on existing code
with CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS and
at least the arm 4.6.3 compiler.